<?xml version="1.0" encoding="UTF-8"?>
<!--This script will sort Jobs and Tasks in a Worfkflow.xml file alphabetically by name-->
<!--Output will be identical to input apart from sort order-->
<!--Put Workflow.xml into config folder, and use command use command line (from Audit folder)-->
<!--"SaxonHE9.5N/bin/Transform.exe" -s:config/Worfklow.xml -xsl:scripts/ishare_workflow_sort.xsl -o:output/Workflow.xml-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
    <xsl:strip-space elements="*"/>
    <xsl:output omit-xml-declaration="yes" indent="yes"/>
    <xsl:template match="Jobs">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()">
                <xsl:sort select="Name"/>
            </xsl:apply-templates>
        </xsl:copy>
    </xsl:template>
    
    <xsl:template match="Tasks">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()">
                <xsl:sort select="Name"/>
            </xsl:apply-templates>
        </xsl:copy>
    </xsl:template>

    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>

</xsl:stylesheet>
